gnutls_openpgp_privkey_get_subkey_expiration_time(3)

NAME
gnutls_openpgp_privkey_get_subkey_expiration_time - Extract the expire date

SYNOPSIS
#include <gnutls/openpgp.h>

time_t gnutls_openpgp_privkey_get_subkey_expiration_time(gnutls_openpgp_privkey_t key, unsigned int idx);

ARGUMENTS

gnutls_openpgp_privkey_t          key
    the structure that contains the OpenPGP private key.

unsigned int idx
    the subkey index

DESCRIPTION
Get subkey expiration time. A value of '0' means that the key doesn't expire at all.

RETURNS
the time when the OpenPGP key expires.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.